cruzeirao/src/main/java/cruzeirao/web/JuizMB.java
package cruzeirao.web;

import cruzeirao.core.JuizCore;
import cruzeirao.data.JuizRepository;
import cruzeirao.data.enums.Sexo;
import cruzeirao.data.enums.TipoDocumento;
import cruzeirao.models.Juiz;

public class JuizMB extends ManagedBeanBase<Juiz, JuizRepository, JuizCore> {

	public TipoDocumento[] getTiposDocumento() {
		return TipoDocumento.values();
	}
	
	public Sexo[] getSexos() {
		return Sexo.values();
	}
	
	@Override
	public Juiz getNewInstanceOfT() {
		return new Juiz();
	}

	@Override
	public JuizCore getNewInstanceOfC() {
		return new JuizCore();
	}

	@Override
	public Boolean validate(Juiz tipoGenerico) {
		if(getTipoGenerico().getPartidas().add(null))
		   return false;
		
		if(getTipoGenerico().getNome().isEmpty())//retorna falso se o nome do juiz for nulo
			return false;
			
		return true;
	}
	
}

cruzeirao/src/main/webapp/pages/usuario/create.xhtml
<!DOCTYPE html>
<html 
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:comp="http://java.sun.com/jsf/composite/components">
 <h:head>
 	<h:outputStylesheet name="basic.css" library="css" />
 </h:head>
 <h:body style="margin: 0;">
 				
 		<div style="width: 80vw;
				    height: 100px;
				    background-color: lightgreen;
				    margin-left: 10vw;
				    text-align: center;
				    border-bottom-left-radius: 50px;
				    border-bottom-right-radius: 50px;
				    line-height: 100px;
				    color: white;
				    font-size: 35px;">
 			Cruzeirão
 		</div>
		<div class="pageContent">
			<br/>
			<div class="itemCard">
				<div class="cardTitle cardCategoria">
				</div>
				
				<p:panelGrid style="margin: 20px auto;" columns="2">		
					
					<p:outputLabel>Nome:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Email:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Endereço:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Telefone Fixo:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Telefone Móvel:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Documento:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Data de Nascimento:</p:outputLabel> 
					<comp:dateTimeInput type="datetime"/>
					
					<p:outputLabel>Sexo: </p:outputLabel> 
					<p:inputText></p:inputText>
						
				</p:panelGrid>
			 </div>	
			
			<br></br>
			
			
			<a href="../gerenciadorCampeonato/index.xhtml" style="width: 50vw;
				    height: 100px;
				    background-color: lightgreen;
				    margin-left: 25vw;
				    padding: 25px 20vw;
				    text-decoration: none;
				    text-align: center;
				    border-radius: 20px;
				    line-height: 100px;
				    color: white;
				    font-size: 35px;">
	 			Registrar
	 		</a>			
			
       	
		</div>
 	
  
 </h:body>
</html>

cruzeirao/src/main/webapp/pages/usuario/createDiretor.xhtml
<!DOCTYPE html>
<html 
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:comp="http://java.sun.com/jsf/composite/components">
 <h:head>
 	<h:outputStylesheet name="basic.css" library="css" />
 </h:head>
 <h:body style="margin: 0;">
 				
 		<div style="width: 80vw;
				    height: 100px;
				    background-color: lightgreen;
				    margin-left: 10vw;
				    text-align: center;
				    border-bottom-left-radius: 50px;
				    border-bottom-right-radius: 50px;
				    line-height: 100px;
				    color: white;
				    font-size: 35px;">
 			Cruzeirão
 		</div>

	<div class="pageContent">
		<br />
		<h:form class="itemCard">
			<div class="cardTitle cardDiretor"></div>

			<p:messages closable="false" showDetail="false"/>
			<p:panelGrid style="margin: 20px auto;" columns="2">

				<p:outputLabel>Nome:</p:outputLabel>
				<p:inputText value="#{diretorMB.tipoGenerico.nome}"></p:inputText>

				<p:outputLabel>E-mail:</p:outputLabel>
				<p:inputText value="#{diretorMB.tipoGenerico.email}"></p:inputText>

				<p:outputLabel>Endereço:</p:outputLabel>
				<p:inputText value="#{diretorMB.tipoGenerico.endereco}"></p:inputText>

				<p:outputLabel>Telefone Fixo:</p:outputLabel>
				<p:inputText value="#{diretorMB.tipoGenerico.telefone1}"></p:inputText>

				<p:outputLabel>Telefone Móvel:</p:outputLabel>
				<p:inputText value="#{diretorMB.tipoGenerico.telefone2}"></p:inputText>

				<p:outputLabel>Tipo de documento:</p:outputLabel>
				<comp:oneButtonInput values="#{diretorMB.tiposDocumento}" currentValue="#{diretorMB.tipoGenerico.tipoDocumento}"/>
				
				<p:outputLabel>Documento:</p:outputLabel>
				<p:inputText value="#{diretorMB.tipoGenerico.documento}"></p:inputText>

				<p:outputLabel>Data de Nascimento:</p:outputLabel>
				<comp:dateTimeInput type="date" value="#{diretorMB.tipoGenerico.dataNascimento}" />

				<p:outputLabel>Sexo: </p:outputLabel>
				<comp:oneButtonInput values="#{diretorMB.sexos}" currentValue="#{diretorMB.tipoGenerico.sexo}" />

				<h:commandButton type="submit" action="#{diretorMB.create}" class="btnCommandButton btnCommandButtonSave" value="Salvar">
				</h:commandButton>
			</p:panelGrid>
		</h:form>

		<br></br>

	</div>

</h:body>
</html>

cruzeirao/src/main/webapp/pages/usuario/createJogador.xhtml
<!DOCTYPE html>
<html 
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:comp="http://java.sun.com/jsf/composite/components">
 <h:head>
 	<h:outputStylesheet name="basic.css" library="css" />
 </h:head>
 <h:body style="margin: 0;">
 				
 		<div style="width: 80vw;
				    height: 100px;
				    background-color: lightgreen;
				    margin-left: 10vw;
				    text-align: center;
				    border-bottom-left-radius: 50px;
				    border-bottom-right-radius: 50px;
				    line-height: 100px;
				    color: white;
				    font-size: 35px;">
 			Cruzeirão
 		</div>

	<div class="pageContent">
		<br />
		<h:form class="itemCard">
			<div class="cardTitle cardJogador"></div>

			<p:messages closable="false" showDetail="false"/>
			<p:panelGrid style="margin: 20px auto;" columns="2">

				<p:outputLabel>Nome:</p:outputLabel>
				<p:inputText value="#{jogadorMB.tipoGenerico.nome}"></p:inputText>

				<p:outputLabel>E-mail:</p:outputLabel>
				<p:inputText value="#{jogadorMB.tipoGenerico.email}"></p:inputText>

				<p:outputLabel>Endereço:</p:outputLabel>
				<p:inputText value="#{jogadorMB.tipoGenerico.endereco}"></p:inputText>

				<p:outputLabel>Telefone Fixo:</p:outputLabel>
				<p:inputText value="#{jogadorMB.tipoGenerico.telefone1}"></p:inputText>

				<p:outputLabel>Telefone Móvel:</p:outputLabel>
				<p:inputText value="#{jogadorMB.tipoGenerico.telefone2}"></p:inputText>

				<p:outputLabel>Tipo de documento:</p:outputLabel>
				<comp:oneButtonInput values="#{jogadorMB.tiposDocumento}" currentValue="#{jogadorMB.tipoGenerico.tipoDocumento}"/>
				
				<p:outputLabel>Documento:</p:outputLabel>
				<p:inputText value="#{jogadorMB.tipoGenerico.documento}"></p:inputText>

				<p:outputLabel>Data de Nascimento:</p:outputLabel>
				<comp:dateTimeInput type="date" value="#{jogadorMB.tipoGenerico.dataNascimento}" />

				<p:outputLabel>Sexo: </p:outputLabel>
				<comp:oneButtonInput values="#{jogadorMB.sexos}" currentValue="#{jogadorMB.tipoGenerico.sexo}" />

				<h:commandButton type="submit" action="#{jogadorMB.create}" class="btnCommandButton btnCommandButtonSave" value="Salvar">
				</h:commandButton>
			</p:panelGrid>
		</h:form>

		<br></br>

	</div>

</h:body>
</html>

cruzeirao/src/main/webapp/pages/usuario/createJuiz.xhtml
<!DOCTYPE html>
<html 
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:comp="http://java.sun.com/jsf/composite/components">
 <h:head>
 	<h:outputStylesheet name="basic.css" library="css" />
 </h:head>
 <h:body style="margin: 0;">
 				
 		<div style="width: 80vw;
				    height: 100px;
				    background-color: lightgreen;
				    margin-left: 10vw;
				    text-align: center;
				    border-bottom-left-radius: 50px;
				    border-bottom-right-radius: 50px;
				    line-height: 100px;
				    color: white;
				    font-size: 35px;">
 			Cruzeirão
 		</div>
		<div class="pageContent">
			<br/>
			<div class="itemCard">
				<div class="cardTitle cardCategoria">
				</div>
				
				<p:panelGrid style="margin: 20px auto;" columns="2">		
					
					<p:outputLabel>Nome:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Tipo:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Email:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Endereço:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Telefone Fixo:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Telefone Móvel:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Documento:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Data de Nascimento:</p:outputLabel> 
					<comp:dateTimeInput type="datetime"/>
					
					<p:outputLabel>Sexo: </p:outputLabel> 
					<p:inputText></p:inputText>
						
				</p:panelGrid>
			 </div>	
			
			<br></br>
			
			
			<a href="../gerenciadorCampeonato/index.xhtml" style="width: 50vw;
				    height: 100px;
				    background-color: lightgreen;
				    margin-left: 25vw;
				    padding: 25px 20vw;
				    text-decoration: none;
				    text-align: center;
				    border-radius: 20px;
				    line-height: 100px;
				    color: white;
				    font-size: 35px;">
	 			Registrar
	 		</a>			
			
       	
		</div>
 	
  
 </h:body>
</html>

cruzeirao/src/main/webapp/pages/usuario/createPreparador.xhtml
<!DOCTYPE html>
<html 
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:comp="http://java.sun.com/jsf/composite/components">
 <h:head>
 	<h:outputStylesheet name="basic.css" library="css" />
 </h:head>
 <h:body style="margin: 0;">
 				
 		<div style="width: 80vw;
				    height: 100px;
				    background-color: lightgreen;
				    margin-left: 10vw;
				    text-align: center;
				    border-bottom-left-radius: 50px;
				    border-bottom-right-radius: 50px;
				    line-height: 100px;
				    color: white;
				    font-size: 35px;">
 			Cruzeirão
 		</div>
		<div class="pageContent">
			<br/>
			<div class="itemCard">
				<div class="cardTitle cardCategoria">
				</div>
				
				<p:panelGrid style="margin: 20px auto;" columns="2">		
					
					<p:outputLabel>Nome:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>CREA:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Email:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Endereço:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Telefone Fixo:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Telefone Móvel:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Documento:</p:outputLabel> 
					<p:inputText></p:inputText>
					
					<p:outputLabel>Data de Nascimento:</p:outputLabel> 
					<comp:dateTimeInput type="datetime"/>
					
					<p:outputLabel>Sexo: </p:outputLabel> 
					<p:inputText></p:inputText>
						
				</p:panelGrid>
			 </div>	
			
			<br></br>
			
			
			<a href="../gerenciadorCampeonato/index.xhtml" style="width: 50vw;
				    height: 100px;
				    background-color: lightgreen;
				    margin-left: 25vw;
				    padding: 25px 20vw;
				    text-decoration: none;
				    text-align: center;
				    border-radius: 20px;
				    line-height: 100px;
				    color: white;
				    font-size: 35px;">
	 			Registrar
	 		</a>			
			
       	
		</div>
 	
  
 </h:body>
</html>

cruzeirao/src/main/webapp/pages/usuario/login.xhtml
<!DOCTYPE html>
<html 
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:comp="http://java.sun.com/jsf/composite/components">
 <h:head>
 	<h:outputStylesheet name="basic.css" library="css" />
 </h:head>
 <h:body style="margin: 0;">
 				
 		<div style="width: 80vw;
				    height: 100px;
				    background-color: lightgreen;
				    margin-left: 10vw;
				    text-align: center;
				    border-bottom-left-radius: 50px;
				    border-bottom-right-radius: 50px;
				    line-height: 100px;
				    color: white;
				    font-size: 35px;">
 			Cruzeirão
 		</div>
		<div class="pageContent">
			<br/>
			<div class="itemCard">
				<div class="cardTitle cardCategoria">
				</div>
				
				<p:panelGrid style="margin: 20px auto;" columns="2">		
					
					<p:outputLabel>Email</p:outputLabel> 
					<p:inputText></p:inputText>

					<p:outputLabel>Senha</p:outputLabel> 
					<p:inputText></p:inputText>
						
				</p:panelGrid>
			 </div>	
			
			<br/>			
			
			<a href="../gerenciadorCampeonato/index.xhtml" style="	width: 50vw;
			    height: 100px;
			    background-color: lightgreen;
			    padding: 25px 20vw;
			    margin-left: 25vw;
			    text-decoration: none;
			    text-align: center;
			    border-radius: 20px;
			    line-height: 100px;
			    color: white;
			    font-size: 35px;">
	 			Entrar
	 		</a>	
	 				
			
       	
		</div>
 	
  
 </h:body>
</html>

cruzeirao/src/main/webapp/pages/usuario/typeSelect.xhtml
<!DOCTYPE html>
<html 
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:comp="http://java.sun.com/jsf/composite/components">
 <h:head>
 	<h:outputStylesheet name="basic.css" library="css" />
 </h:head>
 <h:body style="margin: 0;">
 		<div class="titleType">
 			Escolha seu tipo de Usuário
 		</div>
 
 		<a href="createJuiz.xhtml" class="cardType">
 			Juiz
 		</a>
 		
 		<a href="createJogador.xhtml" class="cardType">
 			Jogador
 		</a>
 		
 		<a href="create.xhtml" class="cardType">
 			Massagista
 		</a>
 		
 		<a href="createPreparador.xhtml" class="cardType">
 			Preparador Físico
 		</a>
 		
 		<a href="create.xhtml" class="cardType">
 			Organizador
 		</a>
 		
 		<a href="create.xhtml" class="cardType">
 			Técnico
 		</a>
 		
 		<a href="create.xhtml" class="cardType">
 			Auxiliar
 		</a>
 </h:body>
</html>